=== debian/changelog ===
thunderbird-mobile-config (0.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1105812)

 -- Ravi Dwivedi <ravi@anche.no>  Thu, 02 Oct 2025 03:00:34 +0530
