=== debian/control ===
Source: thunderbird-mobile-config
Section: x11
Priority: optional
Maintainer: Ravi Dwivedi <ravi@anche.no>
Build-Depends:
 debhelper-compat (= 13),
 zip
Standards-Version: 4.7.2
Homepage: https://gitlab.postmarketos.org/postmarketOS/mobile-config-thunderbird
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/thunderbird-mobile-config
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/thunderbird-mobile-config.git

Package: thunderbird-mobile-config
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 thunderbird
Description: Default mobile-friendly configuration for Thunderbird
 This package provides a set of configuration files aimed at making Thunderbird
 more mobile-friendly.
