=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- THUNDERBIRD_DIR=/usr/lib/thunderbird
