=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.postmarketos.org/postmarketOS/mobile-config-thunderbird
